<div [className]="currentTheme">
  <div class="mat-app-background fullscreen mat-typography font-config">
    <app-header-container></app-header-container>
    <section class="main-content">
      <mat-sidenav-container
        class="sidenav-container"
        autosize>
        <mat-sidenav
          #sidenav
          [opened]="this.sidenavService.isOpen()"
          mode="side">
          <app-sidenav-container *ngIf="(isAuthenticated$|ngrxPush)"></app-sidenav-container>
        </mat-sidenav>
        <mat-sidenav-content>
          <router-outlet></router-outlet>
        </mat-sidenav-content>
      </mat-sidenav-container>
    </section>
    <app-footer
      [links]="footerLinks">
    </app-footer>
  </div>
</div>
